Forge Home

make

Manage make

342,600 downloads

2,191 latest version

4.6 quality score

We run a couple of automated
scans to help you access a
module's quality. Each module is
given a score based on how well
the author has formatted their
code and documentation and
modules are also checked for
malware using VirusTotal.

Please note, the information below
is for guidance only and neither of
these methods should be considered
an endorsement by Puppet.

Version information

  • 4.0.0 (latest)
  • 3.0.0
  • 2.1.1
  • 2.1.0
  • 2.0.0
  • 1.1.0
  • 1.0.1
released May 18th 2021
This version is compatible with:
  • Puppet Enterprise 2021.7.x, 2021.6.x, 2021.5.x, 2021.4.x, 2021.3.x, 2021.2.x, 2021.1.x, 2021.0.x, 2019.8.x, 2019.7.x, 2019.5.x, 2019.4.x, 2019.3.x, 2019.2.x, 2019.1.x
  • Puppet >= 6.1.0 < 8.0.0
  • , , , , , ,

Start using this module

  • r10k or Code Manager
  • Bolt
  • Manual installation
  • Direct download

Add this module to your Puppetfile:

mod 'puppet-make', '4.0.0'
Learn more about managing modules with a Puppetfile

Add this module to your Bolt project:

bolt module add puppet-make
Learn more about using this module with an existing project

Manually install this module globally with Puppet module tool:

puppet module install puppet-make --version 4.0.0

Direct download is not typically how you would use a Puppet module to manage your infrastructure, but you may want to download the module in order to inspect the code.

Download

Documentation

puppet/make — version 4.0.0 May 18th 2021

#make

Puppet Forge Build Status Github Tag Gitter Puppet Forge Downloads Puppet Forge Endorsement

####Table of Contents

  1. Overview
  2. Usage - Configuration options and additional functionality
  3. Parameters
  4. Limitations - OS compatibility, etc.
  5. Development - Guide for contributing to the module

##Overview

Installs the 'make' package.

##Usage

  include ::make

To override the package name,

  class { '::make':
    package_name => 'gmake',
  }

##Parameters


package_name (type: String)

Name of package for make.

  • Default: 'make'

####package_ensure (type: String) Value of ensure attribute for make package.

  • Default: 'present'

##Limitations

Supports Puppet v3 and v4 against a matrix of Ruby versions documented in .travis.yml on the following platforms.

  • Debian 7
  • EL 5
  • EL 6
  • EL 7
  • SLES/SLED 10
  • SLES/SLED 11
  • SLES/SLED 12
  • Ubuntu 12.04
  • Ubuntu 14.04
  • Ubuntu 16.04

##Development

To contribute, fork https://github.com/voxpupuli/puppet-make.git, make a branch for your changes, and file a pull request.

##Contributors

Thank you to all of our https://github.com/voxpupuli/puppet-make/graphs/contributors.